List customers
Returns all customers for the authenticated user, ordered by creation date descending.
GET
/v1/customersAuthorization
AuthorizationBearer token (JWT) · headerrequiredResponses
200Customers retrieved successfully.
Array of
Customeridstringrequirednamestringrequiredmin length 1 · max length 120
phonestringrequiredmatches ^\+?[0-9()\s-]{7,20}$
channelsstring[]requiredmin items 1
Request
curl -X GET "https://api.hackathon.space/v1/customers" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.hackathon.space/v1/customers", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.hackathon.space/v1/customers",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
[
{
"id": "cus_123",
"name": "Jane Doe",
"phone": "+60123456789",
"channels": [
"telegram",
"twilio-sms"
]
}
]